Get portfolio overview
curl --request GET \
--url https://api.useblueprints.ai/api/portfolio \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.useblueprints.ai/api/portfolio', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.useblueprints.ai/api/portfolio"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"runningBlueprints": 123,
"openPositions": 123,
"pendingOrders": 123,
"totalPnl": 123
}{
"error": {
"message": "<string>"
},
"message": "<string>"
}{
"error": {
"message": "<string>"
},
"message": "<string>"
}Portfolio
Get portfolio overview
Returns account-level portfolio summary data such as running blueprints, open positions, pending orders, and aggregate PnL. API keys need the portfolio:read scope.
GET
/
api
/
portfolio
Get portfolio overview
curl --request GET \
--url https://api.useblueprints.ai/api/portfolio \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.useblueprints.ai/api/portfolio', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.useblueprints.ai/api/portfolio"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"runningBlueprints": 123,
"openPositions": 123,
"pendingOrders": 123,
"totalPnl": 123
}{
"error": {
"message": "<string>"
},
"message": "<string>"
}{
"error": {
"message": "<string>"
},
"message": "<string>"
}